This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 183144 - [ttfonts-indic] Danda(U+0964) is missing in Major Indic Languages (except Hindi)
[ttfonts-indic] Danda(U+0964) is missing in Major Indic Languages (except Hi...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fonts-indic (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Darshan Santani
: i18n
Depends On: 167599
Blocks: Indic
  Show dependency treegraph
 
Reported: 2006-02-26 18:31 EST by Lawrence Lim
Modified: 2014-03-25 20:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-21 03:30:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of diff after making the changes in cvs repository. (2.90 KB, text/plain)
2006-06-29 06:22 EDT, Rahul Bhalerao
no flags Details

  None (edit)
Description Lawrence Lim 2006-02-26 18:31:11 EST
+++ This bug was initially created as a clone of Bug #167599 +++

Description of problem:
0964  DEVANAGARI DANDA
 = purna viram
• phrase separator
0965  DEVANAGARI DOUBLE DANDA
= deergh viram

these characters are used in Punjabi to show end of Line as Full stop (.) in
English without this OpenOffice is not showing (Danda), but BLOCK instead.

Version-Release number of selected component (if applicable):
ttfonts-pa-1.10-1.EL.noarch.rpm

How reproducible:
Always

Steps to Reproduce:
1.copy and paste part comment #8 in the attacj document in oowriter
http://bob.brisbane.redhat.com/~llim/indic/bug-151630/151630-test-case.txt
2.
3.
  
Actual results:
an empty square

Expected results:
a vertical bar

Additional info:
Think this is much more important than the rest. Fixing it in the font will be
easier than fixing OOo IMHO.
Comment 1 Satyabrata Maitra 2006-02-28 05:06:37 EST
This bug is also in Bengali.But is is called in Bengali as "Danri".

Fonts Installed : fonts-bengali-1.10-2.1
Comment 4 Rahul Bhalerao 2006-06-29 06:22:04 EDT
Created attachment 131737 [details]
Output of diff after making the changes in cvs repository.
Comment 5 Rahul Bhalerao 2006-06-29 06:45:28 EDT
The required characters have been added to Bengali, Punjabi and Tamil  fonts.
The Gujarati font already has the required characters. The 'diff' generated by
cvs is attached in earlier comment.
Comment 6 Darshan Santani 2006-06-29 07:16:57 EDT
Rahul, Please use the unified output format [-u] while generating the diff file. 
Comment 7 Rahul Bhalerao 2006-06-29 08:07:42 EDT
Comment on attachment 131737 [details]
Output of diff after making the changes in cvs repository.

cvs diff: Diffing .
Index: Lohit-Bengali.sfd
===================================================================
RCS file: /cvs/font/lohit/Lohit-Bengali.sfd,v
retrieving revision 1.1
diff -u -r1.1 Lohit-Bengali.sfd
--- Lohit-Bengali.sfd	14 Apr 2006 03:07:48 -0000	1.1
+++ Lohit-Bengali.sfd	29 Jun 2006 12:13:13 -0000
@@ -11,6 +11,7 @@
 Ascent: 615
 Descent: 154
 Order2: 1
+NeedsXUIDChange: 1
 XUID: [1021 467 158993989 8792299]
 FSType: 0
 PfmFamily: 17
@@ -81,9 +82,9 @@
 DisplaySize: -24
 AntiAlias: 1
 FitToEm: 1
-WinInfo: 60 20 14
+WinInfo: 2255 55 23
 AnchorClass: "Anchor-0" abvm 0 0 1 0 "Anchor-1" abvm 0 0 1 0 "Anchor-2" blwm 0
0 2 0
-BeginChars: 65899 478
+BeginChars: 65899 480
 StartChar: .notdef
 Encoding: 65536 -1 0
 Width: 800
@@ -124,16 +125,13 @@
 Encoding: 32 32 3
 Width: 213
 GlyphClass: 2
-Flags: W
+Flags: HW
 EndChar
 StartChar: exclam
 Encoding: 33 33 4
 Width: 410
 GlyphClass: 2
-Flags: W
-TtfInstrs: 55
-5n<r(!"/c-!!<3$!!`K7!"Ju5!!<3%!(Hqh!!!!gFtYckFoX`k4?jWE!AQ:>!"o83!!OkQ
-EndTtf
+Flags: HW
 Fore
 280 -40 m 1,0,1
  263 -40 263 -40 251.5 -28.5 c 128,-1,2
@@ -29506,5 +29504,39 @@
 Ligature: 0 0 'haln' u09F0 u09CD
 Ligature: 0 0 'half' u09F0 u09CD
 EndChar
+StartChar: uni0964
+Encoding: 2404 2404 478
+Width: 275
+Flags: HW
+TeX: 0 0 0 0
+Fore
+150 0 m 1,0,-1
+ 150 500 l 1,1,-1
+ 200 500 l 1,2,-1
+ 200 0 l 1,3,-1
+ 150 0 l 1,4,-1
+ 150 0 l 1,0,-1
+EndSplineSet
+EndChar
+StartChar: uni0965
+Encoding: 2405 2405 479
+Width: 435
+Flags: HW
+TeX: 0 0 0 0
+Fore
+150 0 m 1,0,-1
+ 150 500 l 1,1,-1
+ 200 500 l 1,2,-1
+ 200 0 l 1,3,-1
+ 150 0 l 1,4,-1
+ 150 0 l 1,0,-1
+310 0 m 1,5,-1
+ 310 500 l 1,6,-1
+ 360 500 l 1,7,-1
+ 360 0 l 1,8,-1
+ 310 0 l 1,9,-1
+ 310 0 l 1,5,-1
+EndSplineSet
+EndChar
 EndChars
 EndSplineFont
Index: Lohit-Punjabi.sfd
===================================================================
RCS file: /cvs/font/lohit/Lohit-Punjabi.sfd,v
retrieving revision 1.1
diff -u -r1.1 Lohit-Punjabi.sfd
--- Lohit-Punjabi.sfd	14 Apr 2006 03:07:48 -0000	1.1
+++ Lohit-Punjabi.sfd	29 Jun 2006 12:13:13 -0000
@@ -11,6 +11,7 @@
 Ascent: 615
 Descent: 154
 Order2: 1
+NeedsXUIDChange: 1
 XUID: [1021 467 158993989 1612285]
 FSType: 0
 PfmFamily: 17
@@ -106,9 +107,9 @@
 DisplaySize: -24
 AntiAlias: 1
 FitToEm: 1
-WinInfo: 60 20 14
+WinInfo: 2255 55 23
 AnchorClass: "Anchor-0" abvm 0 0 1 0 "Anchor-1" abvm 0 0 2 0
-BeginChars: 65555 150
+BeginChars: 65555 152
 StartChar: .notdef
 Encoding: 65536 -1 0
 Width: 800
@@ -5634,5 +5635,39 @@
  552 500 l 1,0,-1
 EndSplineSet
 EndChar
+StartChar: uni0964
+Encoding: 2404 2404 150
+Width: 275
+Flags: HW
+TeX: 0 0 0 0
+Fore
+150 0 m 1,0,-1
+ 150 500 l 1,1,-1
+ 200 500 l 1,2,-1
+ 200 0 l 1,3,-1
+ 150 0 l 1,4,-1
+ 150 0 l 1,0,-1
+EndSplineSet
+EndChar
+StartChar: uni0965
+Encoding: 2405 2405 151
+Width: 435
+Flags: HW
+TeX: 0 0 0 0
+Fore
+150 0 m 1,0,-1
+ 150 500 l 1,1,-1
+ 200 500 l 1,2,-1
+ 200 0 l 1,3,-1
+ 150 0 l 1,4,-1
+ 150 0 l 1,0,-1
+310 0 m 1,5,-1
+ 310 500 l 1,6,-1
+ 360 500 l 1,7,-1
+ 360 0 l 1,8,-1
+ 310 0 l 1,9,-1
+ 310 0 l 1,5,-1
+EndSplineSet
+EndChar
 EndChars
 EndSplineFont
Index: Lohit-Tamil.sfd
===================================================================
RCS file: /cvs/font/lohit/Lohit-Tamil.sfd,v
retrieving revision 1.1
diff -u -r1.1 Lohit-Tamil.sfd
--- Lohit-Tamil.sfd	14 Apr 2006 03:07:48 -0000	1.1
+++ Lohit-Tamil.sfd	29 Jun 2006 12:13:16 -0000
@@ -11,6 +11,7 @@
 Ascent: 666
 Descent: 167
 Order2: 1
+NeedsXUIDChange: 1
 XUID: [1021 467 158993989 9244502]
 FSType: 0
 PfmFamily: 17
@@ -70,9 +71,9 @@
 DisplaySize: -24
 AntiAlias: 1
 FitToEm: 1
-WinInfo: 60 20 14
+WinInfo: 2310 55 23
 AnchorClass: "Anchor-0" abvm 0 0 1 0
-BeginChars: 65680 237
+BeginChars: 65680 239
 StartChar: .notdef
 Encoding: 65536 -1 0
 Width: 800
@@ -14263,5 +14264,41 @@
 Ligature: 0 0 'haln' u0B95_u0BCD_u0BB7.akhn u0BCD
 Ligature: 0 0 'half' u0B95_u0BCD_u0BB7.akhn u0BCD
 EndChar
+StartChar: uni0964
+Encoding: 2404 2404 237
+Width: 275
+VWidth: 769
+Flags: HW
+TeX: 0 0 0 0
+Fore
+150 0 m 1,0,-1
+ 150 500 l 1,1,-1
+ 200 500 l 1,2,-1
+ 200 0 l 1,3,-1
+ 150 0 l 1,4,-1
+ 150 0 l 1,0,-1
+EndSplineSet
+EndChar
+StartChar: uni0965
+Encoding: 2405 2405 238
+Width: 435
+VWidth: 769
+Flags: HW
+TeX: 0 0 0 0
+Fore
+150 0 m 1,0,-1
+ 150 500 l 1,1,-1
+ 200 500 l 1,2,-1
+ 200 0 l 1,3,-1
+ 150 0 l 1,4,-1
+ 150 0 l 1,0,-1
+310 0 m 1,5,-1
+ 310 500 l 1,6,-1
+ 360 500 l 1,7,-1
+ 360 0 l 1,8,-1
+ 310 0 l 1,9,-1
+ 310 0 l 1,5,-1
+EndSplineSet
+EndChar
 EndChars
 EndSplineFont
Comment 8 Rahul Bhalerao 2006-06-29 08:11:07 EDT
Although the fonts have been modified, I could not find a mapping key for
"double danda" i.e. u+0965. Otherwise the current solution is working fine with
OpenOffice.
Comment 9 Darshan Santani 2006-07-21 02:56:38 EDT
Fixed in RAWHIDE [fonts-indic-2.0] 
Comment 10 A S Alam 2006-07-21 03:30:08 EDT
this issue is fixed for bn/pa/ta locales and working fine, tested on following:
--------------------
fonts-bengali-2.0-1
fonts-punjabi-2.0-1
fonts-punjabi-2.0-1
--------------------

Note You need to log in before you can comment on or make changes to this bug.